Subject: Re: file-remote-p should not return user-error on some strings

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 08 Nov 2016 18:18:38 +0100

Michael Albinus <[email-masked]> writes:

> Sorry that I come that late to you; I have been offline for a couple of days.

No urgency ;-).

>> Note that this is not reproductible on emacs-24.5.
>
> I could reproduce it also on Emacs 24.5.

Hmm, I will try again there to reproduce.

> Anyway, I've started yesterday working on this.

Great thanks.

> Not trivial to fix, I fear.

Yes, I saw the tramp-file-name-structure regexp is not trivial!

> As consequence, any fix will go into the master branch (Emacs 26)
> only.

Ok.

> There is also the bug report #24889 about this. Further communication
> shall happen there.

Ah, I see, probably it is the same user.

Thanks.

-- 
Thierry